> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /booking/hotels/reviews

> List guest reviews of a Booking.com property

**Price:** 5 credits per 25 results

**⚠️ Common errors:** 412: Property not found, 422: A requested topic id does not exist for this property in the requested language



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/booking/hotels/reviews
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/booking/hotels/reviews:
    post:
      tags:
        - /booking
      summary: /booking/hotels/reviews
      description: >-
        List guest reviews of a Booking.com property


        **Price:** 5 credits per 25 results


        **⚠️ Common errors:** 412: Property not found, 422: A requested topic id
        does not exist for this property in the requested language
      operationId: __api_booking_hotels_reviews_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BookingHotelReviewsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BookingHotelReview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BookingHotelReviewsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        hotel:
          type: string
          minLength: 3
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/BookingReviewSort'
          default: most_relevant
        text:
          anyOf:
            - type: string
            - type: 'null'
        reviewer_type:
          anyOf:
            - $ref: '#/components/schemas/BookingReviewerType'
            - type: 'null'
        score_bucket:
          anyOf:
            - $ref: '#/components/schemas/BookingReviewScoreBucket'
            - type: 'null'
        season:
          anyOf:
            - $ref: '#/components/schemas/BookingReviewSeason'
            - type: 'null'
        review_languages:
          items:
            type: string
          type: array
          default: []
        topic_ids:
          items:
            type: integer
          type: array
          default: []
        language:
          $ref: '#/components/schemas/BookingLanguage'
          default: en-us
      type: object
      required:
        - hotel
        - count
    BookingHotelReview:
      properties:
        '@type':
          type: string
          default: BookingHotelReview
        id:
          type: string
        hotel_id:
          type: integer
        score:
          anyOf:
            - type: number
            - type: 'null'
        review_title:
          anyOf:
            - type: string
            - type: 'null'
        positive_text:
          anyOf:
            - type: string
            - type: 'null'
        negative_text:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        helpful_vote_count:
          anyOf:
            - type: integer
            - type: 'null'
        author_name:
          anyOf:
            - type: string
            - type: 'null'
        author_country:
          anyOf:
            - type: string
            - type: 'null'
        author_country_code:
          anyOf:
            - type: string
            - type: 'null'
        author_type:
          anyOf:
            - type: string
            - type: 'null'
        author_image:
          anyOf:
            - type: string
            - type: 'null'
        author_review_count:
          anyOf:
            - type: integer
            - type: 'null'
        author_joined_at:
          anyOf:
            - type: integer
            - type: 'null'
        traveller_type:
          anyOf:
            - type: string
            - type: 'null'
        room_id:
          anyOf:
            - type: integer
            - type: 'null'
        room_name:
          anyOf:
            - type: string
            - type: 'null'
        checkin_date:
          anyOf:
            - type: string
            - type: 'null'
        checkout_date:
          anyOf:
            - type: string
            - type: 'null'
        night_count:
          anyOf:
            - type: integer
            - type: 'null'
        stay_status:
          anyOf:
            - type: string
            - type: 'null'
        partner_reply:
          anyOf:
            - type: string
            - type: 'null'
        photos:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - hotel_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BookingReviewSort:
      type: string
      enum:
        - most_relevant
        - newest_first
        - oldest_first
        - highest_scores
        - lowest_scores
    BookingReviewerType:
      type: string
      enum:
        - families
        - couples
        - groups_of_friends
        - solo_travellers
        - business_travellers
    BookingReviewScoreBucket:
      type: string
      enum:
        - wonderful_9_plus
        - good_7_to_9
        - fair_5_to_7
        - poor_3_to_5
        - very_poor_1_to_3
    BookingReviewSeason:
      type: string
      enum:
        - march_to_may
        - june_to_august
        - september_to_november
        - december_to_february
    BookingLanguage:
      type: string
      enum:
        - ar
        - bg
        - ca
        - cs
        - da
        - de
        - el
        - en-gb
        - en-us
        - es
        - es-ar
        - es-mx
        - et
        - fi
        - fr
        - he
        - hi
        - hr
        - hu
        - id
        - is
        - it
        - ja
        - ko
        - lt
        - lv
        - ms
        - nl
        - 'no'
        - pl
        - pt-br
        - pt-pt
        - ro
        - ru
        - sk
        - sl
        - sr
        - sv
        - th
        - tl
        - tr
        - uk
        - vi
        - zh-cn
        - zh-tw
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````